Bug 1317840 - libldb: Provide a Python 3 subpackage
Summary: libldb: Provide a Python 3 subpackage
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: libldb
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jakub Hrozek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PYTHON3 PY3PATCH-AVAILABLE
TreeView+ depends on / blocked
 
Reported: 2016-03-15 10:41 UTC by Tomas Orsava
Modified: 2016-07-19 06:44 UTC (History)
6 users (show)

Fixed In Version: libldb-1.1.26-2.fc25
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-19 06:44:57 UTC
Type: Bug


Attachments (Terms of Use)
dist-git patch to add python3 support (5.88 KB, patch)
2016-07-05 13:56 UTC, Petr Viktorin
no flags Details | Diff

Description Tomas Orsava 2016-03-15 10:41:45 UTC
Upstream, this software supports Python 3. Please provide a Python 3
package for Fedora.


According to the Python packaging guidelines [0], software must be
packaged for Python 3 if upstream supports it.
The guidelines give detailed information on how to do this, and even
provide an example spec file [1].

The current best practice is to provide subpackages for the two Python
versions (called "Common SRPM" in the guidelines). Alternatively, if
nothing depends on your Python2 package, you can just switch to Python 3
entirely.

It's ok to do this in Rawhide only, however, it would be greatly
appreciated if you could push it to Fedora 24 as well.


If anything is unclear, or if you need any kind of assistance with the
porting, you can ask on IRC (#fedora-python on Freenode), or reply here.
We'll be happy to help!


[0] https://fedoraproject.org/wiki/Packaging:Python
[1] https://fedoraproject.org/wiki/Packaging:Python#Example_common_spec_file

Comment 1 Dominika Krejčí 2016-05-11 14:16:03 UTC
Hello Jakub,

do you need any help adding Python 3 support to the RPM?

If you need more instructions, a [guide] for porting Python-based RPMs is available.

[guide] http://python-rpm-porting.readthedocs.io/

Comment 2 Jakub Hrozek 2016-05-15 14:46:12 UTC
(In reply to Dominika Krejčí from comment #1)
> Hello Jakub,
> 
> do you need any help adding Python 3 support to the RPM?
> 
> If you need more instructions, a [guide] for porting Python-based RPMs is
> available.
> 
> [guide] http://python-rpm-porting.readthedocs.io/

Right now, I don't have the time to work on this bugzilla. If you submit a patch, I'll be glad to review and merge it. Otherwise, I'm quite busy for the next couple of weeks.

Comment 3 Petr Viktorin 2016-07-05 13:56:58 UTC
Created attachment 1176447 [details]
dist-git patch to add python3 support

Here is a patch to package python2-ldb and python3-ldb.
It also splits the -devel packages, but keeps the common header separate, in python-ldb-devel-common.

Comment 4 Jakub Hrozek 2016-07-18 16:18:14 UTC
Thank you for the patch, I think the Provides and Obsoletes are correct, so I will just run a local mockbuild and then submit to rawhide.


Note You need to log in before you can comment on or make changes to this bug.